@import url("https://fonts.googleapis.com/css?family=Nunito:200,300,400,600,700,800,900");
@import "@angular/material/prebuilt-themes/indigo-pink.css";
@import "@angular/material/prebuilt-themes/pink-bluegrey.css";
@import "@angular/material/prebuilt-themes/purple-green.css";
@import "@angular/material/prebuilt-themes/deeppurple-amber.css";
@import '../node_modules/alertifyjs/build/css/alertify.min.css';
@import '../node_modules/alertifyjs/build/css/themes/bootstrap.min.css';

/* You can add global styles to this file, and also import other style files */

body {
  margin: 0px;
  padding: 0px;
  background-color: #fff;
  font-family: 'Muli', sans-serif;
  font-weight: 400;
  font-size: 14px;
}

input::-webkit-contacts-auto-fill-button {
  visibility: hidden;
  display: none !important;
  pointer-events: none;
  position: absolute;
  right: 0;
}

.main {
  margin-left: 260px;
  padding: 100px 15px 15px 15px;
}

.position-relative {
  position: relative;
}

a {
  cursor: pointer;
}

.pointer-cursor {
  cursor: pointer;
}

p {
  margin: 0;
}

.fa-bars {
  color: #fff;
}

/* font-size */
.f-12 {
  font-size: 12px;
}

.f-14 {
  font-size: 14px;
}

.f-16 {
  font-size: 16px;
}

.f-18 {
  font-size: 18px;
}

.f-21 {
  font-size: 21px;
}

.f-24 {
  font-size: 24px;
}

.f-32 {
  font-size: 32px;
}

.f-42 {
  font-size: 42px;
}

.f-72 {
  font-size: 72px;
}

/* font-size end*/

/* font color */
.f-gray {
  color: #ccc;
}

.f-darkGray {
  color: #888a8c;
}

.secondary-text {
  color: rgba(0, 0, 0, 0.54);
}

/* font-weight */
.f-normal {
  font-weight: 400;
}

.f-bold {
  font-weight: 500 !important;
}

.f-semiBold {
  font-weight: 600 !important;
}

/* font color */
.f-blue {
  color: #03a9f4;
}

.f-red {
  color: #f44235;
}

.f-orange {
  color: #ff9a0d;
}

.f-white {
  color: #fff;
}

.f-gray {
  color: #ccc;
}

/* button */
.btn,
.btn-lg {
  border-radius: 2px !important;
  font-size: 16px;
}

.default.mat-raised-button.mat-primary {
  background-color: #039be5;
}

.btn.btn-white {
  border: 1px solid #e0e0e0 !important;
  background: linear-gradient(to bottom, #ffffff 0%, #f5f5f5 100%);
  box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 2px 2px 0 rgba(0, 0, 0, 0.14),
    0 1px 5px 0 rgba(0, 0, 0, 0.12);
}

.orange-btn {
  background-color: #ff6600;
  color: #fff;
}

.btn-disabled {
  color: rgba(0, 0, 0, 0.26);
}

.display-block {
  display: block !important;
}

.hidden {
  display: none;
}

.display-inline {
  display: inline-block;
}

.vertical-middle {
  display: inline-block;
  vertical-align: middle;
}

.vertical-top {
  vertical-align: top;
}

.text-line:before,
.text-line:after {
  content: "";
  display: inline-block;
  width: 30px;
  height: 1px;
  background: #dadada;
  vertical-align: middle;
  margin: 0 10px;
}

.panel-footer {
  background: transparent;
}

.panel-default>.panel-heading {
  background: transparent;
  border-color: transparent;
}

.panel {
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.37);
  border-radius: 12px;
}

.panel-custom {
  height: 200px;
}


/* margin */
.m-r-10 {
  margin-right: 10px !important;
}

.m-r-15 {
  margin-right: 15px !important;
}

.m-b-20 {
  margin-bottom: 20px;
}

.m-b-30 {
  margin-bottom: 30px;
}

.m-b-40 {
  margin-bottom: 40px;
}

.m-t-10 {
  margin-top: 10px !important;
}

.m-t-20 {
  margin-top: 20px;
}

.m-t-30 {
  margin-top: 30px;
}

.m-t-40 {
  margin-top: 40px;
}

.m-t-5 {
  margin-top: 5px;
}

.m-l-15 {
  margin-left: 15px;
}

/* padding */
.p-t-20 {
  padding-top: 20px;
}


/* icons */
.position-relative {
  position: relative;
}

.input-icon {
  position: absolute;
  top: 5px;
  right: 2px;
  opacity: 0.3;
}

body {
  background: #eee !important;
}

.mat-form-field {
  width: 100%;
}

/* login and account create css */
.login-container {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #fff;
  z-index: 9999;
  width: 100%;
  min-height: 100vh;
  background-image: url("assets/images/login-bg.jpg");
  background-size: cover;
  display: flex;
  flex-wrap: wrap;
  align-content: stretch;
}

.login-intro {
  color: #fff;
  padding: 150px 100px;
  flex: 1;
  min-height: 100vh;
}

.login-form {
  background: #fff;
  width: 400px;
  overflow-y: auto;
  min-height: 100vh;
}

.form-signin {
  padding: 75px 35px 50px;
  margin: 0 auto;
  background-color: #fff;
}

.form-signin-heading,
.checkbox {
  margin-bottom: 30px;
}

.checkbox {
  font-weight: normal;
}

.form-control {
  position: relative;
  font-size: 16px;
  height: 40px !important;
  padding: 6px 40px 6px 12px;
  border: 1px solid rgba(0, 0, 0, 0.12);
  box-shadow: none;
}

.custom-checkbox.mat-checkbox-checked.mat-accent .mat-checkbox-background,
.custom-checkbox.mat-checkbox-indeterminate.mat-accent .mat-checkbox-background,
.custom-radio-button.mat-radio-button.mat-accent .mat-radio-inner-circle {
  background-color: #ff6600;
}

.custom-radio-button.mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle {
  border-color: #ff6600;
}

.custom-checkbox .mat-checkbox-layout {
  font-weight: 400;
}

input.mat-input-element {
  padding-right: 30px;
}
.mat-dialog-container{
  position: relative;
}

/* login and account create css end */

/* footer css */
.active .mat-sidenav-content footer {
  width: 100%;
}

footer {
  background: #1e2129;
  width: 100%;
  /* position: absolute;
  bottom: 0;
  right: 0;
  left: auto; */
  width: 100%;
  padding: 20px;
  color: #fff;
  font-weight: 600;
}


/* footer css end */

/* Added */
.icon-image-preview {
  display: inline-block;
  width: 24px;
  height: 24px;
  background-repeat: no-repeat;
  background-size: contain;
}

.mat-button.arrow-btn {
  display: none;
  background: #f44336;
  color: #fff;
  min-width: 40px;
  height: 40px;
  border-radius: 0;
  position: fixed;
  top: 40%;
  line-height: 12px;
  transform: translateY(-40%);
  z-index: 99;
}

.active .mat-button.arrow-btn {
  display: inline-block;
}

.content {
  padding: 25px;
}

.content-loader {
  position: fixed;
  z-index: 9999;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: #6353531f;
  width: 100%;
  height: 100%;
}

.loader {
  width: 30px;
  height: 30px;
  position: absolute;
  left: 0;
  right: 0;
  margin: 0 auto;
  top: 40%;
  transform: translateX(-40%);
}

.mat-error.custom-mat-error {
  font-size: 75%;
  font-weight: 700;
  margin: -15px 0 0 10px;
}

.custom-error {
  font-size: 75%;
  font-weight: 700;
}


/* connection page card css */
.card-connection-form .mat-step-header .mat-step-label.mat-step-label-active {
  color: #aaa;
  font-size: 16px;
}

.card-connection-form .mat-step-header .mat-step-label.mat-step-label-active.mat-step-label-selected {
  color: #000;
  font-weight: 500;
}

/* connection page card css end */

/* card css */
.card-footer {
  border-top: 1px solid #ccc;
  margin: -15px;
  padding: 15px 15px 0 15px;
  ;
}

.card-header {
  height: 52px;
  min-height: 52px;
  max-height: 52px;
}

.mat-custom-card .mat-card-content {
  padding-bottom: 20px;
}

.mat-card.cardBackView {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 100%;

}

.mat-custom-card .mat-form-field-infix {
  border: none;
  width: auto;
  display: inline-flex;
}

.mat-custom-card .mat-form-field-infix .mat-select-trigger .mat-select-value {
  display: flex;
  max-width: none;
  margin-right: 8px;
}

.mat-custom-card .mat-form-field.mat-form-field-type-mat-select .mat-form-field-underline {
  display: none;
}

.mat-custom-card .mat-form-field-appearance-legacy .mat-form-field-underline {
  background: transparent;
}


.main-animation-container {
  transform-style: preserve-3d;
  transition: transform 1s;
  -moz-transition: transform 1s;

}

.mat-card.fuse-widget-front {
  transition: transform 0.5s ease-out 0s, visibility 0s ease-in 0.2s, opacity 0s ease-in 0.2s;
  -moz-transition: -moz-transform 0.5s ease-out 0s, visibility 0s ease-in 0.2s, opacity 0s ease-in 0.2s;

  /* transform: rotateY(0deg); */
  backface-visibility: hidden;
}

.mat-card.fuse-widget-back {
  transition: transform 0.5s ease-out 0s, visibility 0s ease-in 0.2s, opacity 0s ease-in 0.2s;
  -moz-transition: -moz-transform 0.5s ease-out 0s, visibility 0s ease-in 0.2s, opacity 0s ease-in 0.2s;
  /* transform: rotateY(180deg); */
  backface-visibility: hidden;
}

/* card css end*/




.table-search-section .mat-form-field-appearance-outline .mat-form-field-outline-start,
.table-search-section .mat-form-field-appearance-outline .mat-form-field-outline-gap,
.table-search-section .mat-form-field-appearance-outline .mat-form-field-outline-end {
  background: #ffffff;
}

.table-search-section .mat-form-field-appearance-outline .mat-form-field-outline-start {
  min-width: 30px;
  border-radius: 30px 0 0 30px;
}

.table-search-section .mat-form-field-appearance-outline .mat-form-field-outline-end {
  border-radius: 0 30px 30px 0;
}

.profile-edit .mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label {
  font-size: 18px;
}

.table-search-section .mat-form-field-appearance-outline .mat-form-field-outline {
  background: #fff;
  border-radius: 40px;
}

.table-responsive-wrapper {
  overflow: auto;
}

.table-responsive-wrapper td.mat-cell,
.table-responsive-wrapper th.mat-header-cell {
  padding: 0 15px;
}


.k-grid-header {
  background: #fff !important;
}

.k-grid td,
.k-grid th {
  border-color: transparent !important;
}

.k-grid td:nth-child(5),
.k-grid-header .k-header:nth-child(5) {
  border-left-color: rgba(0, 0, 0, 0.08);
}

.k-grid-header .k-header:nth-child(5) {
  text-align: center;
}

.k-grid thead tr:nth-child(2) .k-header {
  display: none;
}

.kendo-table .k-dropdown .k-dropdown-wrap {
  background: transparent;
  border: 0;
  border-bottom: 1px solid rgba(0, 0, 0, 0.15) !important;
  border-radius: 0;
}

.kendo-table .k-grid tr.k-alt {
  background-color: #fcfbfc;
}

.kendo-table .k-dropdown-wrap .k-input {
  padding: 4px 8px 4px 0;
}

.kendo-table .k-grid-header .k-header {
  vertical-align: middle;
}

.kendo-table .k-grid-content {
  overflow-y: auto;
}

.functionList-dropdown {
  width: calc(100% - 200px) !important;
}

.error-msg {
  color: red;
}



/* responsive css */

@media (max-width: 1380px) {
  .f-42 {
    font-size: 34px;
  }

  .f-21 {
    font-size: 18px;
  }
}

@media (max-width: 1024px) {
  .login-intro {
    padding: 80px 50px;
  }

  .login-intro img {
    width: 60px;
  }

  .form-signin {
    padding: 50px 35px 50px;
  }
}

@media (max-width: 767px) {

  .login-intro,
  .login-form {
    width: 100%;
  }

  .f-42 {
    font-size: 24px;
  }

  .topNavbar-nav.nav>li {
    float: left;
  }

  .topNavbar-nav.navbar-nav {
    margin: 0;
  }

  .topNavbar-nav.navbar-nav .open .dropdown-menu {
    position: absolute;
    background-color: #fff;
    border: 1px solid #ccc;
    border: 1px solid rgba(0, 0, 0, .15);
    border-radius: 4px;
    box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
  }

  .functionList-dropdown {
    width: 100% !important;
    margin-top: 5px;
  }

  .card-connection-form .mat-radio-label-content {
    vertical-align: middle;
    word-break: break-all;
    white-space: normal;
  }
}


@media(max-width: 480px) {
  .table-container .mat-paginator-range-label {
    margin: 15px 15px 0 24px;
    display: block;
  }

  .table-container .mat-paginator-range-actions {
    display: block;
    text-align: right;
  }

  .table-container {
    margin: 0 -15px;
  }

  .card-box .PPBlue_V2 {
    border-radius: 15px;
    padding: 12px 10px;
  }

  .card-box .PPBlue_V2 b {
    display: block;
    font-size: 14px;
  }
}


/* responsive css end*/
